Name:           opengl-games-utils
Version:        0.2
Release:        %mkrel 4
Summary:        Utilities to check proper 3d support before launching 3d games
Group:          Graphics/3D
License:        Public Domain
URL:            https://fedoraproject.org/wiki/SIGs/Games
Source0:        opengl-game-wrapper.sh
Source1:        opengl-game-functions.sh
Source2:        README
BuildArch:      noarch
Requires:       zenity glxinfo

%description
This package contains various shell scripts which are intended for use by
3D games packages. These shell scripts can be used to check if direct rendering
is available before launching an OpenGL game. This package is intended for use
by other packages and is not intended for direct end user use!

%prep
%setup -c -T
cp %{SOURCE2} .

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
install -p -m 755 %{SOURCE0} %{buildroot}%{_bindir}
install -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

%files
%doc README
%{_bindir}/opengl-game-wrapper.sh
%{_datadir}/%{name}


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2-4.mga10
+ Revision: 2205339
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.2-3.mga9
+ Revision: 1811343
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.2-2.mga8
+ Revision: 1522821
- Mageia 8 Mass Rebuild

* Fri Feb 08 2019 daviddavid <daviddavid> 0.2-1.mga7
+ Revision: 1364259
- new version: 0.2 (sync with fedora)

* Wed Sep 19 2018 umeabot <umeabot> 0.1-10.mga7
+ Revision: 1265389
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.1-9.mga6
+ Revision: 947630
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-8.mga5
+ Revision: 743434
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-7.mga5
+ Revision: 683211
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1-6.mga4
+ Revision: 521785
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 0.1-5.mga3
+ Revision: 391883
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 09 2011 ahmad <ahmad> 0.1-4.mga1
+ Revision: 96592
- Bump rel to eash upgrading from mdv 2010.1

* Sun May 08 2011 ahmad <ahmad> 0.1-3.mga1
+ Revision: 96551
- Fix Group (spotted by Manuel Hiebel)

* Sun May 08 2011 ahmad <ahmad> 0.1-2.mga1
+ Revision: 96546
- Require glxinfo (instead of glx-utils which doesn't exist in Mageia)

* Sun May 08 2011 ahmad <ahmad> 0.1-1.mga1
+ Revision: 95991
- Adapt the spec to Mageia packaging guidelines
- imported package opengl-games-utils


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 10 2009 Hans de Goede <hdegoede@redhat.com> 0.1-8
- Recognize software rendering as such with new Mesa which always says
  DRI = Yes (rh 494174)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 13 2008 Hans de Goede <hdegoede@redhat.com> 0.1-6
- Handle glxinfo output not containing any dri info at all (rh 471374)

* Fri Jan 11 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1-5
- Fix DRI detection to work with dual head configurations

* Tue Oct 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1-4
- Fix a minor spelling error in the dialog shown when DRI is not available

* Mon Sep 24 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1-3
- Put DRI checking functionality in a checkDriOK bash function in
  opengl-game-functions.sh, for usage from existing wrapper scripts

* Sun Sep 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1-2
- Various spelling fixes thanks to Rahul Sundaram

* Sun Sep 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1-1
- Initial Fedora package
